当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 9 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 请高手指教:怎么把904的内核从28升级到30???
帖子发表于 : 2009-05-18 9:53 
头像

注册: 2007-08-13 22:47
帖子: 16
送出感谢: 0 次
接收感谢: 0 次
方法好像有两个:
1)用apt-get dist-upgrade
我的终端显示:
sudo apt-get dist-upgrade
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
正在筹划升级... 完成
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
好象是没探测到新的内核版本?
我用的源是 官方主源
2)自己下载linux kenel文件,编译升级,太麻烦,而且最近没时间。

请高手 指导一下???


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 请高手指教:怎么把904的内核从28升级到30???
帖子发表于 : 2009-05-18 10:10 
头像

注册: 2009-03-28 15:12
帖子: 7867
送出感谢: 2
接收感谢: 19
http://archive.ubuntu.com/ubuntu/pool/main/l/linux/


_________________
Grub2 基础教程


最后由 smallapple 编辑于 2009-05-18 10:35,总共编辑了 1 次

页首
 用户资料  
 
3 楼 
 文章标题 : Re: 请高手指教:怎么把904的内核从28升级到30???
帖子发表于 : 2009-05-18 10:29 
头像

注册: 2007-08-13 22:47
帖子: 16
送出感谢: 0 次
接收感谢: 0 次
:em06
楼上大侠指导下?


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 请高手指教:怎么把904的内核从28升级到30???
帖子发表于 : 2009-05-18 10:31 
头像

注册: 2008-10-08 13:48
帖子: 3476
送出感谢: 0 次
接收感谢: 1
下载安装,删旧内核……


_________________
--------------------------------------
论坛精华贴全集:http://forum.ubuntu.org.cn/viewtopic.php?f=48&t=199845
book:http://forum.ubuntu.org.cn/viewtopic.php?f=21&t=198286


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 请高手指教:怎么把904的内核从28升级到30???
帖子发表于 : 2009-05-18 10:34 
头像

注册: 2007-08-13 22:47
帖子: 16
送出感谢: 0 次
接收感谢: 0 次
那么该下载那些文件呢?


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 请高手指教:怎么把904的内核从28升级到30???
帖子发表于 : 2009-05-18 10:36 
头像

注册: 2009-03-28 15:12
帖子: 7867
送出感谢: 2
接收感谢: 19
[code]http://archive.ubuntu.com/ubuntu/pool/main/l/linux/linux-image-2.6.30-5-generic_2.6.30-5.6_i386.deb[/code
再解决依赖


_________________
Grub2 基础教程


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 请高手指教:怎么把904的内核从28升级到30???
帖子发表于 : 2009-05-18 11:11 
头像

注册: 2009-04-17 10:42
帖子: 764
送出感谢: 0 次
接收感谢: 1
先去
http://kernel.ubuntu.com/~kernel-ppa/mainline/


引用:
linux-headers-2.6.30-020630rc4_2.6.30-020630rc5_all.deb
linux-headers-2.6.30-020630rc4-generic_2.6.30-020630rc5_i386.deb
linux-image-2.6.30-020630rc4-generic_2.6.30-020630rc5_i386.deb



找2.6.30-rc5文件夹,进去之后,下自己对应的3个包,如果是32bit就下我列的这三个,要是64的,就下amd64结尾的,all是共用的
再去http://www.nvidia.com/Download/index.aspx
找一下自己对应的最新的驱动,我下的是NVIDIA-Linux-x86-180.51-pkg1.run
我是geforce go 8600m显卡
准备好了,开始安装吧,
先去硬件驱动里把显卡驱动remove
再去新力得里把
nvidia-glx-180
nvidia-glx-180-dev
就是库里,最新版本带着180.44的都卸载(我是本本显卡,所以默认最新驱动是180.44)
有一个nvidia-180-modaliases
因为别的版本的像71,173一类的,默认都在,所以这个包我没卸载
卸载完了,
就可以进行装新驱动的步骤了
以headers all,headers i386,image i386的顺序,安装3个deb的包。
因为之前remove了显卡驱动,所以应该不会报编译错误了。
然后切换到命令行模式:

代码:
ctrl+alt+f2


登录之后:

代码:
sudo /etc/init.d/gdm stop


这就关掉了xwin,
然后运行下好的显卡驱动

代码:
sudo sh ~/NVIDIA-Linux-x86-180.51-pkg1.run


如果不让运行,就修改这个文件的执行权限。如果不会用命令修改,那就在刚才图形界面的时候,右键权限里把允许执行勾上。
安装过程第一步提示是否卸载旧驱动,选yes,第二步提示说该驱动和内核不配,上网搜新版本,选no,即使选了yes也下不到合适的,要不然还编译什么阿~~~
然后一步是提示the cc version check,意思就是编译需要gcc4.2下进行,而 9.04是4.3的,选no是忽略版本继续,所以选no,
之后会蹦出几个copy不成功的条目,但是看文件名好像都跟180.44有关,具体是啥意思,我没仔细研究,因为之后,使用上是正常的。
然后就顺利的编译成功了,最后会提示,是否运行xorg的自动配置程序,在下次开机的时候自动运行x,选yes,好了,系统跳回命令行,驱动装完了。
在命令行运行:
代码:
sudo /etc/init.d/gdm strat

就可以启动xwin,如果有个nvdia的logo一闪而过,那就说明驱动安装成功了。


_________________
恨不死的阿弥陀,历尽千重罪,炼就不死心,来吧,一起配置Ubuntu
Ubuntu9.04配置手记


最后由 kurai 编辑于 2009-05-18 11:13,总共编辑了 1 次

页首
 用户资料  
 
8 楼 
 文章标题 : Re: 请高手指教:怎么把904的内核从28升级到30???
帖子发表于 : 2009-05-18 11:11 
头像

注册: 2009-04-17 10:42
帖子: 764
送出感谢: 0 次
接收感谢: 1
库里直升是生不到30的,只能到28。12


_________________
恨不死的阿弥陀,历尽千重罪,炼就不死心,来吧,一起配置Ubuntu
Ubuntu9.04配置手记


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 请高手指教:怎么把904的内核从28升级到30???
帖子发表于 : 2009-05-18 11:25 

注册: 2009-04-10 8:02
帖子: 20
送出感谢: 0 次
接收感谢: 0 次
可以看这个专业视频,只要二步教你升级到最新内核

海明作品:Ubuntu 9 Linux系列培训 - 9

http://www.boobooke.com/v/bbk2898


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 9 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Yahoo [Bot] 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译